if not Watcher then return end

if select(2, UnitClass('player')) ~= "PRIEST" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants

C["Mind Blast"], _,C["Mind Blast Icon"] = GetSpellInfo(48127)
C["Mind Flay"], _,C["Mind Flay Icon"] = GetSpellInfo(48156)
C["Vampiric Touch"], _,C["Vampiric Touch Icon"] = GetSpellInfo(48160)
C["Devouring Plague"], _,C["Devouring Plague Icon"] = GetSpellInfo(48300)
C["Shadow Word: Pain"], _,C["Shadow Word: Pain Icon"] = GetSpellInfo(48125)

function Watcher:DPInfo()
local index = 1
	while UnitDebuff("target", index) do
		local name, _, _, count, _, _, debuffExpires, caster = UnitDebuff("target", index)
		if name == C["Devouring Plague"] then 
			return debuffExpires - GetTime(), 0
		end
		index = index + 1
	end
	return 0, 0
end	

function Watcher:VTInfo()
local index = 1
	while UnitDebuff("target", index) do
		local name, _, _, count, _, _, debuffExpires, caster = UnitDebuff("target", index)
		if name == C["Vampiric Touch"] then 
			return debuffExpires - GetTime(), 0
		end
		index = index + 1
	end
	return 0, 0
end	

function Watcher:SWPInfo()
local index = 1
	while UnitDebuff("target", index) do
		local name, _, _, count, _, _, debuffExpires, caster = UnitDebuff("target", index)
		if name == C["Shadow Word: Pain"] then 
			return debuffExpires - GetTime(), 0
		end
		index = index + 1
	end
	return 0, 0
end	


--FrameName, optionnum, typedot, dotfunction, typeShortDot, shortDotTime, usehealthpc, SpellName, powerthreshold, countreq, dotthreshold, combocost, isproc, findcount

Watcher.priorityTable.name["Mind Blast"] = C["Mind Blast"]
Watcher.priorityTable.icon["Mind Blast"] = C["Mind Blast Icon"]
Watcher.priorityTable.check["Mind Blast"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, false, 0, false, 0, 1, C["Mind Blast"], 0, 0, 0, 0) 
	end
	
Watcher.priorityTable.name["Mind Flay"] = C["Mind Flay"]
Watcher.priorityTable.icon["Mind Flay"] = C["Mind Flay Icon"]
Watcher.priorityTable.check["Mind Flay"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, false, 0, false, 0, 1, C["Mind Flay"], 0, 0, 0, 0) 
	end
	
Watcher.priorityTable.name["Devouring Plague"] = C["Devouring Plague"]
Watcher.priorityTable.icon["Devouring Plague"] = C["Devouring Plague Icon"]
Watcher.priorityTable.check["Devouring Plague"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, true , Watcher:DPInfo(), false, 0, 1, C["Devouring Plague"], 0, 0, 0, 0) 
	end
	
Watcher.priorityTable.name["Vampiric Touch"] = C["Vampiric Touch"]
Watcher.priorityTable.icon["Vampiric Touch"] = C["Vampiric Touch Icon"]
Watcher.priorityTable.check["Vampiric Touch"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, true, Watcher:VTInfo(), false, 0, 1, C["Vampiric Touch"], 0, 0, 0, 0) 
	end
	
Watcher.priorityTable.name["Shadow Word: Pain"] = C["Shadow Word: Pain"]
Watcher.priorityTable.icon["Shadow Word: Pain"] = C["Shadow Word: Pain Icon"]
Watcher.priorityTable.check["Shadow Word: Pain"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, true, Watcher:SWPInfo(), false, 0, 1, C["Shadow Word: Pain"], 0, 0, 0, 0) 
	end